Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ConsoleTests/HeuristicLab.Clients.Hive.Slave-3.4.ConsoleTests.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ConsoleTests/HeuristicLab.Clients.Hive.Slave-3.4.ConsoleTests.csproj	(revision 6360)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ConsoleTests/HeuristicLab.Clients.Hive.Slave-3.4.ConsoleTests.csproj	(revision 6361)
@@ -82,38 +82,38 @@
   <ItemGroup>
     <Reference Include="HeuristicLab.Algorithms.GeneticAlgorithm-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Collections-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Collections-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Collections-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Common-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Common-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Common.Resources-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Common.Resources-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Common.Resources-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Core-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimization-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Optimization-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Optimization-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Optimizer-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Optimizer-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Optimizer-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Persistence-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Persistence-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Persistence-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.Problems.TestFunctions-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.Problems.TestFunctions-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Problems.TestFunctions-3.3.dll</HintPath>
     </Reference>
     <Reference Include="HeuristicLab.SequentialEngine-3.3">
-      <HintPath>..\..\..\..\..\..\..\Program Files\HeuristicLab 3.3\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
+      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.SequentialEngine-3.3.dll</HintPath>
     </Reference>
     <Reference Include="System" />
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Tests/HeuristicLab.Clients.Hive.Slave-3.4.Tests.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Tests/HeuristicLab.Clients.Hive.Slave-3.4.Tests.csproj	(revision 6360)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Tests/HeuristicLab.Clients.Hive.Slave-3.4.Tests.csproj	(revision 6361)
@@ -365,17 +365,17 @@
       <Name>HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave\3.4\HeuristicLab.Clients.Hive.Slave-3.4.csproj">
+    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave-3.4.csproj">
       <Project>{989FE92B-484E-41EE-87E2-6A24AF0381D8}</Project>
       <Name>HeuristicLab.Clients.Hive.Slave-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive\3.4\HeuristicLab.Clients.Hive-3.4.csproj">
+    <ProjectReference Include="..\..\..\HeuristicLab.Clients.Hive\3.4\HeuristicLab.Clients.Hive-3.4.csproj">
       <Project>{B5EF1E5A-9F3D-40B9-B4B0-30AADF2E2CEB}</Project>
       <Name>HeuristicLab.Clients.Hive-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Hive\3.4\HeuristicLab.Hive-3.4.csproj">
+    <ProjectReference Include="..\..\..\HeuristicLab.Hive\3.4\HeuristicLab.Hive-3.4.csproj">
       <Project>{F98A1740-9AC9-4D36-A582-6A2D0D06978D}</Project>
       <Name>HeuristicLab.Hive-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Services.Hive\3.4\HeuristicLab.Services.Hive-3.4.csproj">
+    <ProjectReference Include="..\..\..\HeuristicLab.Services.Hive\3.4\HeuristicLab.Services.Hive-3.4.csproj">
       <Project>{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}</Project>
       <Name>HeuristicLab.Services.Hive-3.4</Name>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.4.sln
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.4.sln	(revision 6360)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive 3.4.sln	(revision 6361)
@@ -53,10 +53,6 @@
 	EndProjectSection
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave-3.4.Tests", "HeuristicLab.Clients.Hive.Slave.Tests\HeuristicLab.Clients.Hive.Slave-3.4.Tests.csproj", "{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Hive-3.4.Tests", "HeuristicLab.Services.Hive.Tests\HeuristicLab.Services.Hive-3.4.Tests.csproj", "{17187EAC-5D8C-4B11-9CEA-D88F71B59658}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4", "HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4\HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4.csproj", "{464D70B8-2D91-485C-B622-22E4A4891C68}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.SlaveWindowsService", "HeuristicLab.Clients.Hive.Slave.SlaveWindowsService\HeuristicLab.Clients.Hive.Slave.SlaveWindowsService.csproj", "{BA8001DE-E83C-4B1F-8B2E-2695C4222491}"
 EndProject
@@ -93,6 +89,4 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.HiveEngine-3.4", "HeuristicLab.HiveEngine\3.4\HeuristicLab.HiveEngine-3.4.csproj", "{2C036542-5451-4A23-AFF6-87575C7BAFE7}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.HiveEngine-3.4.Tests", "HeuristicLab.HiveEngine.Test\HeuristicLab.HiveEngine-3.4.Tests.csproj", "{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}"
-EndProject
 Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.TrayIconSetup", "HeuristicLab.Clients.Hive.Slave.TrayIconSetup\HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj", "{542AD827-817C-44E9-AD28-D6607BC4FA10}"
 EndProject
@@ -100,4 +94,10 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave-3.4.ConsoleTests", "HeuristicLab.Clients.Hive.Slave\3.4\ConsoleTests\HeuristicLab.Clients.Hive.Slave-3.4.ConsoleTests.csproj", "{B09E8C65-8D4D-48B3-8E9A-F6FC52107261}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave-3.4.Tests", "HeuristicLab.Clients.Hive.Slave\3.4\Tests\HeuristicLab.Clients.Hive.Slave-3.4.Tests.csproj", "{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4", "HeuristicLab.Clients.Hive.Slave.ConsoleClient\HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.4.csproj", "{464D70B8-2D91-485C-B622-22E4A4891C68}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.HiveEngine-3.4.Tests", "HeuristicLab.HiveEngine\3.4\Tests\HeuristicLab.HiveEngine-3.4.Tests.csproj", "{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}"
 EndProject
 Global
@@ -233,17 +233,4 @@
 		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x64.ActiveCfg = Debug|Any CPU
 		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x86.ActiveCfg = Debug|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|x64.ActiveCfg = Debug|x86
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|x86.ActiveCfg = Debug|x86
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|x86.Build.0 = Debug|x86
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|x64.ActiveCfg = Release|x86
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|x86.ActiveCfg = Release|Any CPU
 		{17187EAC-5D8C-4B11-9CEA-D88F71B59658}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{17187EAC-5D8C-4B11-9CEA-D88F71B59658}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -259,18 +246,4 @@
 		{17187EAC-5D8C-4B11-9CEA-D88F71B59658}.Release|x64.ActiveCfg = Release|x86
 		{17187EAC-5D8C-4B11-9CEA-D88F71B59658}.Release|x86.ActiveCfg = Release|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x64.ActiveCfg = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.ActiveCfg = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.Build.0 = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.Build.0 = Release|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Mixed Platforms.Build.0 = Release|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x64.ActiveCfg = Release|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.ActiveCfg = Release|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.Build.0 = Release|x86
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -397,18 +370,4 @@
 		{2C036542-5451-4A23-AFF6-87575C7BAFE7}.Release|x86.ActiveCfg = Release|x86
 		{2C036542-5451-4A23-AFF6-87575C7BAFE7}.Release|x86.Build.0 = Release|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|x64.ActiveCfg = Debug|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|x86.ActiveCfg = Debug|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|x86.Build.0 = Debug|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Any CPU.Build.0 = Release|Any CPU
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Mixed Platforms.Build.0 = Release|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|x64.ActiveCfg = Release|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|x86.ActiveCfg = Release|x86
-		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|x86.Build.0 = Release|x86
 		{542AD827-817C-44E9-AD28-D6607BC4FA10}.Debug|Any CPU.ActiveCfg = Debug
 		{542AD827-817C-44E9-AD28-D6607BC4FA10}.Debug|Any CPU.Build.0 = Debug
@@ -457,4 +416,46 @@
 		{B09E8C65-8D4D-48B3-8E9A-F6FC52107261}.Release|x86.ActiveCfg = Release|x86
 		{B09E8C65-8D4D-48B3-8E9A-F6FC52107261}.Release|x86.Build.0 = Release|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|Mixed Platforms.Build.0 = Debug|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|x64.ActiveCfg = Debug|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|x86.ActiveCfg = Debug|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Debug|x86.Build.0 = Debug|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|Mixed Platforms.Build.0 = Release|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|x64.ActiveCfg = Release|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|x86.ActiveCfg = Release|x86
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA}.Release|x86.Build.0 = Release|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x64.ActiveCfg = Debug|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.ActiveCfg = Debug|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.Build.0 = Debug|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.Build.0 = Release|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x64.ActiveCfg = Release|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.ActiveCfg = Release|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.Build.0 = Release|x86
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|x64.ActiveCfg = Debug|x86
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|x86.ActiveCfg = Debug|x86
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Debug|x86.Build.0 = Debug|x86
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|Mixed Platforms.Build.0 = Release|Any CPU
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|x64.ActiveCfg = Release|x86
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|x86.ActiveCfg = Release|x86
+		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -464,6 +465,4 @@
 		{F98A1740-9AC9-4D36-A582-6A2D0D06978D} = {70CE526B-B92C-4750-B3D3-A38C572042A8}
 		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
-		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
-		{464D70B8-2D91-485C-B622-22E4A4891C68} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
 		{BA8001DE-E83C-4B1F-8B2E-2695C4222491} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
 		{28711372-0255-4883-9BED-81E150D73880} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
@@ -472,4 +471,6 @@
 		{542AD827-817C-44E9-AD28-D6607BC4FA10} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
 		{B09E8C65-8D4D-48B3-8E9A-F6FC52107261} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
+		{C4CBD11E-1B83-464A-B0AD-0DC0FF7E57AA} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
+		{464D70B8-2D91-485C-B622-22E4A4891C68} = {622F8E95-CDFC-4B4E-BBA7-3EE4E47DB52A}
 		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC} = {E69A1E5F-63F7-493F-BBA2-163D6E321D44}
 		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE} = {E69A1E5F-63F7-493F-BBA2-163D6E321D44}
@@ -486,6 +487,6 @@
 		{A0EB9657-4D57-4CC1-A309-EC010D7F9EAB} = {9963403B-3CB9-48E0-9FEB-B1CE12C31601}
 		{2C036542-5451-4A23-AFF6-87575C7BAFE7} = {4596C5BB-CAB1-4C01-891F-4890F9F16CF8}
+		{E37F15E0-D0D6-4C6E-AD22-0DA514C943A3} = {4596C5BB-CAB1-4C01-891F-4890F9F16CF8}
 		{87D9FBB9-8E54-4770-9C84-B4B571D9EDD5} = {4596C5BB-CAB1-4C01-891F-4890F9F16CF8}
-		{E37F15E0-D0D6-4C6E-AD22-0DA514C943A3} = {4596C5BB-CAB1-4C01-891F-4890F9F16CF8}
 	EndGlobalSection
 EndGlobal
Index: anches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.4/AbstractJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Hive/3.4/AbstractJob.cs	(revision 6360)
+++ 	(revision )
@@ -1,203 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Drawing;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-
-namespace HeuristicLab.Hive {
-  [Item("Abstract Job", "Represents a executable hive job.")]
-  [StorableClass]
-  public abstract class AbstractJob : DeepCloneable, IJob {
-    public virtual bool IsParallelizable {
-      get { return true; }
-    }
-
-    [Storable]
-    protected ILog log;
-    public ILog Log {
-      get { return log; }
-    }
-
-    [Storable]
-    protected bool computeInParallel;
-    public bool ComputeInParallel {
-      get { return computeInParallel; }
-      set {
-        if (computeInParallel != value) {
-          computeInParallel = value;
-          OnComputeInParallelChanged();
-        }
-      }
-    }
-
-    [Storable]
-    private bool collectChildJobs;
-    public bool CollectChildJobs {
-      get { return collectChildJobs; }
-      set { collectChildJobs = value; }
-    }
-
-    public AbstractJob() {
-      this.log = new Log();
-    }
-    [StorableConstructor]
-    protected AbstractJob(bool deserializing) { }
-    protected AbstractJob(AbstractJob original, Cloner cloner)
-      : base(original, cloner) {
-      this.log = cloner.Clone(original.Log);
-      this.ComputeInParallel = original.ComputeInParallel;
-      this.CollectChildJobs = original.CollectChildJobs;
-    }
-
-    #region IJob Members
-
-    public abstract ExecutionState ExecutionState{ get; }
-
-    public abstract TimeSpan ExecutionTime{ get; }
-
-    public abstract void Prepare();
-
-    public abstract void Start();
-
-    public abstract void Pause();
-
-    public abstract void Stop();
-
-    public abstract void Resume(IEnumerable<IJob> childJobs);
-
-    public event EventHandler JobStopped;
-    protected virtual void OnJobStopped() {
-      EventHandler handler = JobStopped;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-
-    public event EventHandler JobPaused;
-    protected virtual void OnJobPaused() {
-      EventHandler handler = JobPaused;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-
-    public event EventHandler JobFailed;
-    protected virtual void OnJobFailed(EventArgs<Exception> e) {
-      EventHandler handler = JobFailed;
-      if (handler != null) handler(this, e);
-    }
-
-    public event EventHandler<EventArgs<IJob>> NewChildJob;
-    protected virtual void OnNewChildJob(IJob job) {
-      EventHandler<EventArgs<IJob>> handler = NewChildJob;
-      if (handler != null) handler(this, new EventArgs<IJob>(job));
-    }
-
-    public event EventHandler WaitForChildJobs;
-    protected virtual void OnWaitForChildJobs() {
-      EventHandler handler = WaitForChildJobs;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-
-    public event EventHandler DeleteChildJobs;
-    protected virtual void OnDeleteChildJobs() {
-      EventHandler handler = DeleteChildJobs;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-
-    public event EventHandler ComputeInParallelChanged;
-    protected virtual void OnComputeInParallelChanged() {
-      EventHandler handler = ComputeInParallelChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-
-    public event EventHandler OptimizerChanged;
-    protected virtual void OnOptimizerChanged() {
-      EventHandler handler = OptimizerChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    #endregion
-    
-    #region INamedItem Members
-    public abstract bool CanChangeDescription { get; }
-
-    public abstract bool CanChangeName { get; }
-
-    public abstract string Description { get; set; }
-
-    public abstract string Name { get; set; }
-    #endregion
-
-    #region Events
-    public event EventHandler DescriptionChanged;
-    protected virtual void OnDescriptionChanged() {
-      var handler = DescriptionChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler ItemImageChanged;
-    protected virtual void OnItemImageChanged() {
-      var handler = ItemImageChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler ToStringChanged;
-    protected virtual void OnToStringChanged() {
-      var handler = ToStringChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler NameChanged;
-    protected virtual void OnNameChanged() {
-      var handler = NameChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler<CancelEventArgs<string>> NameChanging;
-    protected virtual void OnNameChanging(string value, bool cancel) {
-      var handler = NameChanging;
-      if (handler != null) handler(this, new CancelEventArgs<string>(value, cancel));
-    }
-    public event EventHandler ExecutionTimeChanged;
-    protected virtual void OnExecutionTimeChanged() {
-      EventHandler handler = ExecutionTimeChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler ExecutionStateChanged;
-    protected virtual void OnExecutionStateChanged() {
-      EventHandler handler = ExecutionStateChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    #endregion
-
-    #region IItem Members
-
-    public abstract string ItemDescription { get; }
-
-    public abstract Image ItemImage { get; }
-
-    public abstract string ItemName { get; }
-
-    public abstract Version ItemVersion { get; }
-
-    #endregion
-
-    public override string ToString() {
-      return Name;
-    }
-  }
-}
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.4/Tests/HeuristicLab.HiveEngine-3.4.Tests.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.4/Tests/HeuristicLab.HiveEngine-3.4.Tests.csproj	(revision 6360)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.HiveEngine/3.4/Tests/HeuristicLab.HiveEngine-3.4.Tests.csproj	(revision 6361)
@@ -122,13 +122,13 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.Clients.Hive\3.4\HeuristicLab.Clients.Hive-3.4.csproj">
+    <ProjectReference Include="..\..\..\HeuristicLab.Clients.Hive\3.4\HeuristicLab.Clients.Hive-3.4.csproj">
       <Project>{B5EF1E5A-9F3D-40B9-B4B0-30AADF2E2CEB}</Project>
       <Name>HeuristicLab.Clients.Hive-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.HiveEngine\3.4\HeuristicLab.HiveEngine-3.4.csproj">
+    <ProjectReference Include="..\HeuristicLab.HiveEngine-3.4.csproj">
       <Project>{2C036542-5451-4A23-AFF6-87575C7BAFE7}</Project>
       <Name>HeuristicLab.HiveEngine-3.4</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Hive\3.4\HeuristicLab.Hive-3.4.csproj">
+    <ProjectReference Include="..\..\..\HeuristicLab.Hive\3.4\HeuristicLab.Hive-3.4.csproj">
       <Project>{F98A1740-9AC9-4D36-A582-6A2D0D06978D}</Project>
       <Name>HeuristicLab.Hive-3.4</Name>
